dfc(1)

NAME
dfc - report file system space usage information with style

SYNOPSIS
dfc [OPTION(S)] [-c WHEN] [-e FORMAT] [-p FSNAME] [-q SORTBY] [-t FSTYPE] [-u UNIT]

DESCRIPTION
dfc(1) is a tool similar to df(1) except that it is able to show a graph along with the data and is able to use color (color mode is "color-auto" by default but you can change this with "-c" option). The available size corresponds to the space available from a user point of view and not from root's perspective (ie: use f_bavail instead of f_bfree). Without any argument, size is displayed in human-readable format. Be aware that when using human-readable format, there might be some rounding when computing the size. If you want maximum precision, use the "-u" option and choose the unit. dfc(1) also has a built in feature that makes the output auto adjust based on terminal width. If you want to override this behavior, use the "-f" option.

OPTIONS

-a  Show all (do not omit any file system).

-b  Do not show the graph bar.

-c [WHEN]
    Choose color mode where WHEN is one of the following sub-option: "always": Color will always be used, no matter what "stdout" is. "auto": This is default when "-c" is not activated. Color is used only if "stdout" is a terminal. For instance, color will be disabled with this option if you pipe the output of dfc(1) into another command. "never": Color will never be used.

-d  Show used size.

-e [FORMAT]
    Allows you to export dfc(1) output to specified FORMAT. FORMAT is one of the following: "csv": Output as "comma separated value" file type. Example usage:
        dfc -e csv > foo.csv "html": Output is HTML formated. Example usage:
        dfc -e html -Tadiso -c always > index.html "json": Output is JSON formated. Example usage:
        dfc -e json -Tisod > report.json "tex": Output is TeX formated. Example usage:
        dfc -e tex -c always > report.tex "text": Text output (default).

-f  Override auto-adjust behavior by forcing information to be displayed. This option can be useful when redirecting dfc(1) output.

-h  Show a short help text.

-i  Show information about inodes.

-l  Only show information about locally mount file systems.

-m  Use SI units (metric) (ie: size is computed using powers of 10 instead of powers of 2).

-M  Do not print "mounted on".

-n  Do not print header.

-o  Show mount options.

-p [FSNAME]
    Allows you to perform filtering on file system name. FSNAME can be anything. For instance, if you want to see only file system which name starts with "/dev", you would use the following:
        dfc -p /dev This will output only file systems which names are, for instance, "/dev/sda1", "/dev/root", "/dev", etc. Multiple selection is supported. In this case, FSNAME needs to be a comma separated list (without spaces). For instance, if you want to filter "/dev" and "tmpfs", you would use the following:
        dfc -p /dev,tmpfs You can also use negative matching to filter the output. To do so, you just need to prepend a "-" to FSNAME. In the following example, dfc(1) will display all file system names except those mentioned:
        dfc -p -proc,/dev/sdc,run

-q [SORTBY]
    Allows you to sort the output based on SORTBY. SORTBY can take one of those three values: "name", "type", "mount". When using "name", the output is sorted by file system name. When using "type", the output is sorted by file system type. When using "mount", the output is sorted by mount points.

-s  Sum the total usage.

-t [FSTYPE]
    Allows you to perform filtering on file system type. FSTYPE could take any known file system value. For instance, "ext4", "ufs", "tmpfs", "reiserfs", etc. You can also use wildcard filtering, just as with the -p option. For instance, if you use the following:
        dfc -t ext This will allow any file system type with name starting with "ext" to pass through the filter, for instance, "ext2", "ext3" and "ext4". Multiple selection on file system is also possible. In this case, FSTYPE needs to be a comma separated list (without spaces). For instance, if you want to filter "ext4" and "tmpfs", you would use the following:
        dfc -t ext4,tmpfs You can also use negative matching to filter the output. To do so, you just need to prepend a "-" to FSTYPE. In the following example, dfc(1) will display all file system types except those mentioned:
        dfc -t -rootfs,tmpfs

-T  Show file system type.

-u [UNIT]
    Show size using the unit specified. UNIT can take one of the following values: "h":
        Human readable (default when not using "-u" option). "b":
        Show bytes. "k":
        Show size using Kio. "m":
        Show size using Mio. "g":
        Show size using Gio. "t":
        Show size using Tio. "p":
        Show size using Pio. "e":
        Show size using Eio. "z":
        Show size using Zio. "y":
        Show size using Yio. NOTE: When using "-u" option along with "-m" option, those suboptions are replaced by their SI counterparts.

-v  Print dfc(1) version and exit.

-w  Use a wider bar for the graph.

-W  Wide path name (avoid truncation of file name). May require a larger display.

CONFIGURATION FILE
The configuration file is optional. It allows you to change dfc(1) default colors, values when colors change and graph symbol in text mode and modify colors used in html export. If you want to use it, place it here:
    $XDG_CONFIG_HOME/dfc/dfcrc If your operating system does not support XDG Base Directory Specification, it should then be placed here:
    $HOME/.config/dfc/dfcrc Or, last choice:
    $HOME/.dfcrc NOTE: The last two choices can be chosen only if your OS does not support XDG Base Directory Specification.

BUGS
If you find one, please contact the author and explain what you encounter.

AUTHORS
Robin Hahling <robin.hahling@gw-computing.net>

COPYRIGHT
Copyright © 2012-2017 Robin Hahling

LICENSE
BSD 3-clause

SEE ALSO
df(1), du(1)